为什么openresty编译时不使用openssl1.1.1+以支持tls1.3

问答中心分类: Nginx为什么openresty编译时不使用openssl1.1.1+以支持tls1.3
rua asked 3年 ago
看了源码, nginx用的是versions.txt里的openssl11_ver, 而openresty用的是openssl_ver, 可openresty的https://github.com/openresty/lua-nginx-module#lua_ssl_protocols已经可以支持tls1.3了, 为什么不跟进? 是有什么原因吗?

1 Answers
oneinstack answered 3年 ago
部分操作系统openresty现在版本不支持openssl1.1编译,等1.15.8